<?php declare(strict_types=1);

namespace App\Dto\Service\ProjectTranslationServiceTextHash;

final class HashStatusWaiting
{
    private array $hash = [];

    public function add(string $code, bool $isWaiting): void
    {
        $this->hash[$code] = $isWaiting;
    }

    public function isStatusWaiting(string $code): bool
    {
        return $this->hash[$code] ?? false;
    }
}
